www.cendio.com
Bug 5332 - Session resize doesn't work properly on Firefox 33 on Android
: Session resize doesn't work properly on Firefox 33 on Android
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.6.0
Assigned To:
:
:
: 5352
:
  Show dependency treegraph
 
Reported: 2014-10-29 11:24 by
Modified: 2016-04-01 11:22 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-10-29 11:24:33
Nexus 7, Android 4.4.4, Firefox 38

Steps to reproduce:

1. Log in using the HTML5 client using portrait mode
2. After the session is done loading in, rotate the device to landscape

Expected behavior:

* The session should be resized to fit the screen.

Actual behavior:

* The session becomes roughly 200 px to high after the resize. Firefox seems to
have added some sort of built-in "panning" option for when the canvas(just a
guess) is larger than the screen, you are actually able to pan (using two
fingers) to see the parts of the session which doesn't fit on screen.

I have tested and am not able to reproduce the issue on Chrome on Android, nor
on  Firefox or Chrome on Linux. My guess is that this issue is caused by an
update in Firefox on Android.
------- Comment #1 From cendio 2014-10-29 11:29:15 -------
(In reply to comment #0)
> Nexus 7, Android 4.4.4, Firefox 38

Correction: Firefox 33
------- Comment #2 From cendio 2015-02-19 13:37:24 -------
This bug was not present on Firefox 32. See:

https://bugzilla.mozilla.org/show_bug.cgi?id=1125566
https://bugzilla.mozilla.org/show_bug.cgi?id=1071620
------- Comment #3 From cendio 2015-02-20 15:10:02 -------
As described here:

https://bugzilla.mozilla.org/show_bug.cgi?id=923663

Firefox on Android have inconsistent behavior when it comes to how they handle
the address bar in the browser. The problem lies in when they account for the
height of the address bar or not when calculating the height of the browser
window.

One way for ThinLinc HTML5-client users to work around this is to disable the
"Full-screen browsing" option. Enabling his option hides the title/address bar
when scrolling down a page. Disabling this will result in correct calculations
of the height.
------- Comment #4 From cendio 2015-03-11 08:16:13 -------
Fixed by r30125 which was done on bug 5352.
------- Comment #5 From cendio 2015-04-24 15:19:09 -------
I'm still seeing this issue on Firefox 37.0.2.
------- Comment #6 From cendio 2015-04-28 15:04:45 -------
I must have made a mistake when verifying this functionality.. both times. I
have tested Firefox 32, 35, 36, 37 and 38 beta now and the issue still exists
with both the old version of the code and the new.

When rotating to landscape there doesn't seem to be any way to get the correct
height of the viewport. I have noted more details on this bug in firefox's
bugzilla:

https://bugzilla.mozilla.org/show_bug.cgi?id=1125566

There is nothing we can do to fix this behavior reliably so this bug will turn
into a tracking bug. Let's hope mozilla gets this fixed.

In the meanwhile to work around this, users can:

* Disable Full-screen browsing in Display settings in Firefox, or
* Toggle the on-screen keyboard on and off to get the correct resolution
------- Comment #7 From cendio 2015-08-27 13:56:23 -------
I have verified that this is now fixed in nightly Firefox on Android (43.0a1).
Let's hope this correct behavior makes it into a stable version soon!
------- Comment #8 From cendio 2015-10-30 10:43:18 -------
Still present with:

"Mozilla/5.0 (Android 5.1.1; Tablet; rv:41.0.2) Gecko/41.0.2 Firefox/41.0.2"
------- Comment #9 From cendio 2016-02-02 15:55:03 -------
Stable Firefox is on version 44 now on Android. I seems like mozilla have
indeed fixed this issue.

I have verified on ThinLinc 4.5.0 (eudemo) and the nightly server build (my
workstation) using Android 5.1.1 on Samsung S6 and Nexus 4.

I'll handle this bug as trivial and put on 4.6.0 right away, tester could
verify using the Nexus 7 tablet or any other different Android device.
------- Comment #10 From cendio 2016-02-03 15:05:23 -------
Note to Samuel: RESOLVED FIXED is a good state for bugs that are ready for
testing.
------- Comment #11 From cendio 2016-02-03 15:05:59 -------
Can't find any problems with session size after rotating the device.

Tested with Nexus 7, Firefox 44 (stable), and a ThinLinc 4.5.0 server (eudemo).